.container {
  display: grid;
  height: 100vh;
  grid-template-areas:
    "nav"
    "main"
    "footer";
  grid-auto-rows: auto 1fr auto;
}

.navbar {
  grid-area: nav;
  display: flex;
  height: 3rem;
  align-items: center;
  justify-content: space-between;
  border-bottom: solid 1px rgba(var(--onSurface), 0.24);
  padding: 0 15px;
  background-color: rgb(var(--navbarSurface));
}

.navbar a {
  color: var(--navbarPrimary);
}

.rightNavbar {
  display: flex;
  gap: 2rem;
}

.main {
  grid-area: main;
}

.footer {
  grid-area: footer;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 3rem;
  border-top: 1px solid rgba(var(--onSurface), 0.24);
  background-color: var(--footerSurface);
}

.navButtons:visited {
  color: black;
}

.authPopover {
}
/* cant use .label as label names are dynamically generated */
.authPopover label {
  color: var(--navbarPrimary);
}

.authPopover div:first-of-type {
  background-color: rgb(var(--navbarSurface));
}
